from typing import Any
from typing import List
from typing import Set
from typing import Tuple

from . import *


class {{ name }}({{ base }}):
    {%- for field in fields %}
    {% if field.description %}
    # {{ field.description }}
    {%- endif %}
    {{ field.name }}: {{ field.type }}
    {%- endfor %}
    {%- for method in methods %}
    {%- if method.is_class_method %}

    @classmethod
    def {{ method.name }}(cls, *args, **kwargs) -> {{ method.ret }}:
        ...
    {%- else %}

    def {{ method.name }}(self, *args, **kwargs) -> {{ method.ret }}:
        ...
    {%- endif %}
    {%- endfor %}